Enhancer APIChannels
Get channel aggregate
Returns the complete channel state: assigned accounts, badge definitions and the cursor used for sync replay. Use `global` as the external id for the global aggregate.
Path Parameters
platform*string
Platform name.
Value in
- "twitch"
- "kick"
externalId*string
Channel external id or login.
Length
1 <= lengthHeader Parameters
If-None-Match?string
Return 304 Not Modified when the current ETag matches.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/channel/twitch/h2p_gucio/aggregate" \ -H "If-None-Match: "33a64df551""{ "channelId": "3f2b8c14-6a7d-4e89-9b0c-1d2e3f4a5b6c", "platform": "TWITCH", "accounts": [ { "accountId": "a1b85243-288d-4022-912e-7e76a49be380", "externalId": "87037696", "badgesIds": [ "7c9e6679-7425-40de-944b-e07fc1f90ae7" ], "customNickname": "enhancer-user", "customFont": null, "hasGlow": true } ], "badges": [ { "badgeId": "7c9e6679-7425-40de-944b-e07fc1f90ae7", "sources": { "18x18": "https://cdn.enhancer.at/badge/hash/18.webp", "36x36": "https://cdn.enhancer.at/badge/hash/36.webp", "72x72": "https://cdn.enhancer.at/badge/hash/72.webp" }, "name": "Enhancer Developer", "priority": 999 } ], "cursor": "1787259545448-0"}